cc.funkemunky.api.profiling

## Class BaseProfiler

- java.lang.Object
- - cc.funkemunky.api.profiling.BaseProfiler

All Implemented Interfaces:
  Profiler

Direct Known Subclasses:
  ToggleableProfiler

    public class BaseProfiler
    extends java.lang.Object
    implements Profiler

### Field Summary

Fields
`java.util.Map<java.lang.String,java.lang.Long>` `averageSamples`
`java.util.Map<java.lang.String,java.lang.Integer>` `calls`
`long` `lastReset`
`long` `lastSample`
`java.util.Map<java.lang.String,java.lang.Long>` `samples`
`java.util.Map<java.lang.String,java.util.List<java.lang.Long>>` `samplesPerTick`
`java.util.Map<java.lang.String,java.util.List<java.lang.Long>>` `samplesTotal`
`java.util.Map<java.lang.String,java.lang.Long>` `stddev`
`java.util.Map<java.lang.String,java.lang.Long>` `timings`
`java.util.Map<java.lang.String,java.lang.Long>` `total`
`int` `totalCalls`

### Constructor Summary

Constructors
Constructor and Description
`BaseProfiler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `reset()`
`java.util.Map<java.lang.String,Tuple<java.lang.Integer,java.lang.Double>>` `results(ResultsType type)`
`void` `start()`
`void` `start(java.lang.String name)`
`void` `stop()`
`void` `stop(java.lang.String name)`
`void` `stop(java.lang.String name, long extense)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### timings

    public java.util.Map<java.lang.String,java.lang.Long> timings

#### calls

    public java.util.Map<java.lang.String,java.lang.Integer> calls

#### stddev

    public java.util.Map<java.lang.String,java.lang.Long> stddev

#### total

    public java.util.Map<java.lang.String,java.lang.Long> total

#### samples

    public java.util.Map<java.lang.String,java.lang.Long> samples

#### averageSamples

    public java.util.Map<java.lang.String,java.lang.Long> averageSamples

#### samplesPerTick

    public java.util.Map<java.lang.String,java.util.List<java.lang.Long>> samplesPerTick

#### samplesTotal

    public java.util.Map<java.lang.String,java.util.List<java.lang.Long>> samplesTotal

#### lastSample

    public long lastSample

#### lastReset

    public long lastReset

#### totalCalls

    public int totalCalls

### Constructor Detail

#### BaseProfiler

    public BaseProfiler()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `Profiler`

#### start

    public void start(java.lang.String name)

Specified by:
  `start` in interface `Profiler`

#### stop

    public void stop()

Specified by:
  `stop` in interface `Profiler`

#### reset

    public void reset()

Specified by:
  `reset` in interface `Profiler`

#### results

    public java.util.Map<java.lang.String,Tuple<java.lang.Integer,java.lang.Double>> results(ResultsType type)

Specified by:
  `results` in interface `Profiler`

#### stop

    public void stop(java.lang.String name)

Specified by:
  `stop` in interface `Profiler`

#### stop

    public void stop(java.lang.String name,
                     long extense)

Specified by:
  `stop` in interface `Profiler`